;;
;; Key Binding Examples.
;; Created by S.Namba,        Sun May  3 23:55:57 1992
;;
;; Modified for recent emacs 19,  Sun Jul  2 16:50:34 1995
;; my-kill-line and my-yank binding purged, Mon Jun  1 11:22:30 1992
;; kill-buffer-and-delete-window is added, Wed Jul 29 19:33:17 1992
;;
(if ;(and (boundp 'MULE) (>= (string-to-int emacs-version) 19))
    (>= (string-to-int emacs-version) 19)
    (progn 
      ;; Comment out next 1 line, if like weird
      (setq next-line-add-newlines nil)
      )
  (global-set-key "\C-n"		'my-next-line)
  (global-set-key "\C-b"		'my-backward-char)
  (global-set-key "\C-f"		'my-forward-char)
  (global-set-key "\C-d"		'my-delete-char)
  (global-set-key "\177"		'my-delete-backward-char))

;;(global-set-key "\C-k"		'my-kill-line)
;;(global-set-key "\C-y"		'my-yank)

(global-set-key "\C-xk"		'kill-buffer-and-delete-window)
;; save original one.
(global-set-key "\C-xK"		'kill-buffer)

;; Manipulating sentences.
(global-set-key "\eH"		'mark-sentence)
(global-set-key "\C-xH"		'mark-whole-sentence)

(global-set-key "\M-&"		'insert-current-time-string)
(global-set-key "\e\C-z"	'scroll-backward-other-window)

;; You don't have to change original C-x o binding, because emacs
;; knows difference between C-x o and C-x O !
;;
(global-set-key "\C-xO"		'another-window)

;;
;; my-newline including smooth-scroll-up feature installed.
;; Thu Jun 18 17:30:14 1992
(global-set-key "\C-m" 'my-newline)

;;
;; Don't support machine other than PC98 here.
;; I should learn more portable method for this.
;; Sorry, for other machine users...
;;
(if (eq system-type 'ms-dos)
    (setq term-setup-hook
	  (function
	   (lambda ()
	     (if (eq dos-machine-type 'pc98)
			; up arrow
		 (progn (define-key pc98-map "r" 'smooth-scroll-down)
			; down arrow
			(define-key pc98-map "u" 'smooth-scroll-up)))))))
