;;;
;;; killring.el : Shows contents of kill-ring.
;;; Sat Jun 13 18:02:17 1992
;;; S.Namba
;;;

(defvar kill-ring-entry-count)

;; If you don't like display format, change these.
(defconst kill-ring-buf         "*Kill-ring*")
(defconst kill-ring-list-header "*================== ")
(defconst kill-ring-list-title
  "::: K I L L   R I N G   C O N T E N T S (kill-ring-max: %d) :::\n\n")

(defun insert-kill-ring-list (arg)
  "Take LIST of kill-ring and insert 'em in current buffer."
  (cond ((null arg) nil)
	(t (insert (format "%s%d\n%s\n"
			   kill-ring-list-header
			   (setq kill-ring-entry-count
				 (1+ kill-ring-entry-count))
			   (car arg)))
	   (insert-kill-ring-list (cdr arg)))))

(defun view-kill-ring (num)
  "Shows contents of 'kill-ring' popping up a buffer.
If numeric ARG is given, jumps to ARGth entry in kill-ring."
  (interactive "P")
  (pop-to-buffer kill-ring-buf)
  (erase-buffer)
  (insert 
   (format kill-ring-list-title kill-ring-max))
  (setq kill-ring-entry-count 0)
  (insert-kill-ring-list kill-ring)
  (if (null num)
      (setq num 1))
  (goto-char (point-min))
  (search-forward
   (concat kill-ring-list-header
	   (int-to-string (prefix-numeric-value num))) (point-max) t)
  (forward-line 1))

;;; This binding may force us to modify function help-for-help,
;;; but I am very lazy to do that.
;;; C-h k is preserved as it was.
(define-key help-map "K" 'view-kill-ring)
