;;
;; Manhook.el
;; Wed Apr  5 11:16:47 1995, in Sassa hospital.
;;

(if (>= (string-to-int emacs-version) 19)
  (progn
    (if ;;(>= (string-to-int emacs-version) 20)
	(string< "19.29" emacs-version)        ;; for 19.34 emacs
	(require 'viewhook20)
      (require 'viewhook))
    (add-hook 'Man-mode-hook
      (function
       (lambda ()
	 (define-key Man-mode-map "j" 'scroll-one-line-up)
	 (define-key Man-mode-map "k" 'scroll-one-line-down)
	 (define-key Man-mode-map "J" 'next-line)
	 (define-key Man-mode-map "K" 'previous-line)

;	 (define-key Man-mode-map "j" 'smooth-scroll-up)
;	 (define-key Man-mode-map "k" 'smooth-scroll-down)

	 (define-key Man-mode-map "l" 'my-forward-char)

	 ;; Originally this was 'help'.  Rebind to 'H'.
	 (define-key Man-mode-map "h" 'my-backward-char)
;	 (define-key Man-mode-map "H" 'Helper-describe-bindings)

	 (define-key Man-mode-map "d" 'View-less-Down)
	 (define-key Man-mode-map "u" 'View-less-Up)
	 (define-key Man-mode-map "g" 'View-goto-line)
	 (define-key Man-mode-map "G" 'View-goto-max-line)

;; rebind original one
	 (define-key Man-mode-map "\M-g" 'Man-goto-section)

	 ;; These are rebinding.
;;	 (define-key Man-mode-map "\C-z" 'View-scroll-lines-backward)
	 (define-key Man-mode-map "b" 'scroll-down)
	 (define-key Man-mode-map "f" 'scroll-up)
)))))

;; Man mode:
;; A mode for browsing Un*x manual pages.
;; 
;; The following man commands are available in the buffer. Try
;; "C-h k <key> RET" for more information:
;; 
;; m       Prompt to retrieve a new manpage.
;; r       Retrieve reference in SEE ALSO section.
;; M-n   Jump to next manpage in circular list.
;; M-p   Jump to previous manpage in circular list.
;; n       Jump to next manpage section.
;; p       Jump to previous manpage section.
;; g       Go to a manpage section.
;; s       Jumps to the SEE ALSO manpage section.
;; q       Deletes the manpage, its buffer, and window.
;; ?       Prints this help text.
;; 
;; The following variables may be of some use. Try
;; "C-h v <variable-name> RET" for more information:
;; 
;; Man-notify                      What happens when manpage formatting is done.
;; Man-reuse-okay-p                Okay to reuse already formatted buffer?
;; Man-downcase-section-letters-p  Force section letters to lower case?
;; Man-circular-pages-p            Multiple manpage list treated as circular?
;; Man-auto-section-alist          List of major modes and their section numbers.
;; Man-section-translations-alist  List of section numbers and their Un*x equiv.
;; Man-filter-list                 Background manpage filter command.
;; Man-mode-line-format            Mode line format for Man mode buffers.
;; Man-mode-map                    Keymap bindings for Man mode buffers.
;; Man-mode-hook                   Normal hook run on entry to Man mode.
;; Man-section-regexp              Regexp describing manpage section letters.
;; Man-heading-regexp              Regexp describing section headers.
;; Man-see-also-regexp             Regexp for SEE ALSO section (or your equiv).
;; Man-first-heading-regexp        Regexp for first heading on a manpage.
;; Man-reference-regexp            Regexp matching a references in SEE ALSO.
;; Man-switches			Background `man' command switches.
;; 
;; The following key bindings are currently in effect in the buffer:
;; key             binding
;; ---             -------
;; 
;; ESC		Prefix Command
;; SPC		scroll-up
;; ,		beginning-of-buffer
;; -		negative-argument
;; .		end-of-buffer
;; 0 .. 9		digit-argument
;; ?		describe-mode
;; g		Man-goto-section
;; m		manual-entry
;; n		Man-next-section
;; p		Man-previous-section
;; q		Man-quit
;; r		Man-follow-manual-reference
;; s		Man-goto-see-also-section
;; t		toggle-truncate-lines
;; DEL		scroll-down
;; 
;; ESC p		Man-previous-manpage
;; ESC n		Man-next-manpage
;;
